import React from 'react';
import { CalendarProps as CalendarCoreProps } from '../Calendar/Calendar';
import { ValueType } from './types';
import { RsRefForwardingComponent, WithAsProps } from '../@types/common';
import { DatePickerLocale } from '../locales';
declare type OmitCalendarCoreTypes = 'disabledDate' | 'onSelect' | 'onMouseMove' | 'calendarDate';
export interface CalendarProps extends WithAsProps, Omit<CalendarCoreProps, OmitCalendarCoreTypes> {
    calendarDate?: ValueType;
    disabledDate?: (date: Date, selectValue: ValueType, type: string) => boolean;
    format?: string;
    hoverRangeValue?: ValueType;
    index: number;
    isoWeek?: boolean;
    limitEndYear?: number;
    locale?: DatePickerLocale;
    onChangeCalendarDate?: (index: number, date: Date) => void;
    onChangeCalendarTime?: (index: number, date: Date) => void;
    onMouseMove?: (date: Date) => void;
    onSelect?: (date: Date, event?: React.SyntheticEvent) => void;
    showOneCalendar?: boolean;
    showWeekNumbers?: boolean;
    value?: ValueType;
}
declare const Calendar: RsRefForwardingComponent<'div', CalendarProps>;
export default Calendar;
